From fce204675c7a7a09a92710669135a45accc8b07b Mon Sep 17 00:00:00 2001
From: KirillOsenkov <kirillo@microsoft.com>
Date: Sun, 23 Mar 2014 23:17:05 -0700
Subject: [PATCH 10/14] Sorting project items. (changeset 1212071)

---
 .../CSharp/Source/CSharpCodeAnalysis.csproj        |  2 +-
 Src/Compilers/Core/Source/CodeAnalysis.csproj      | 28 +++++++++++-----------
 .../Test/Emit/BasicCompilerEmitTest.vbproj         |  2 +-
 Src/Test/Utilities/TestUtilities.csproj            |  5 ++--
 4 files changed, 18 insertions(+), 19 deletions(-)

diff --git a/Src/Compilers/CSharp/Source/CSharpCodeAnalysis.csproj b/Src/Compilers/CSharp/Source/CSharpCodeAnalysis.csproj
index f38aaa3..7e220a1 100644
--- a/Src/Compilers/CSharp/Source/CSharpCodeAnalysis.csproj
+++ b/Src/Compilers/CSharp/Source/CSharpCodeAnalysis.csproj
@@ -764,8 +764,8 @@
     <Compile Include="Syntax\MethodDeclarationSyntax.cs" />
     <Compile Include="Syntax\NamespaceDeclarationSyntax.cs" />
     <Compile Include="Syntax\NameSyntax.cs" />
-    <Compile Include="Syntax\ParameterSyntax.cs" />
     <Compile Include="Syntax\ParameterListSyntax.cs" />
+    <Compile Include="Syntax\ParameterSyntax.cs" />
     <Compile Include="Syntax\QualifiedNameSyntax.cs" />
     <Compile Include="Syntax\SeparatedSyntaxListBuilder.cs" />
     <Compile Include="Syntax\SimpleNameSyntax.cs" />
diff --git a/Src/Compilers/Core/Source/CodeAnalysis.csproj b/Src/Compilers/Core/Source/CodeAnalysis.csproj
index 6be0949..554ec5c 100644
--- a/Src/Compilers/Core/Source/CodeAnalysis.csproj
+++ b/Src/Compilers/Core/Source/CodeAnalysis.csproj
@@ -138,24 +138,13 @@
     <Compile Include="ConstantValueSpecialized.cs" />
     <Compile Include="CryptographicHashProvider.cs" />
     <Compile Include="CvtRes.cs" />
-    <Compile Include="DiagnosticAnalyzer\AnalyzerDriver.cs" />
-    <Compile Include="DiagnosticAnalyzer\DiagnosticAnalyzerAttribute.cs" />
-    <Compile Include="DiagnosticAnalyzer\ICodeBlockEndedAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\ICodeBlockStartedAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\ICompilationEndedAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\ICompilationStartedAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\ICompilationUnitAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\IDiagnosticAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\ISymbolAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\ISyntaxTreeAnalyzer.cs" />
-    <Compile Include="DiagnosticAnalyzer\ISyntaxNodeAnalyzer.cs" />
     <Compile Include="Diagnostic\CommonDiagnosticComparer.cs" />
-    <Compile Include="Diagnostic\DiagnosticFormatter.cs" />
     <Compile Include="Diagnostic\CommonMessageProvider.cs" />
     <Compile Include="Diagnostic\Diagnostic.cs" />
     <Compile Include="Diagnostic\Diagnostic_SimpleDiagnostic.cs" />
     <Compile Include="Diagnostic\DiagnosticBag.cs" />
     <Compile Include="Diagnostic\DiagnosticDescriptor.cs" />
+    <Compile Include="Diagnostic\DiagnosticFormatter.cs" />
     <Compile Include="Diagnostic\DiagnosticInfo.cs" />
     <Compile Include="Diagnostic\DiagnosticSeverity.cs" />
     <Compile Include="Diagnostic\DiagnosticWithInfo.cs" />
@@ -169,7 +158,18 @@
     <Compile Include="Diagnostic\SerializedLocation.cs" />
     <Compile Include="Diagnostic\SourceLocation.cs" />
     <Compile Include="Diagnostic\XmlLocation.cs" />
+    <Compile Include="DiagnosticAnalyzer\AnalyzerDriver.cs" />
     <Compile Include="DiagnosticAnalyzer\AsyncQueue.cs" />
+    <Compile Include="DiagnosticAnalyzer\DiagnosticAnalyzerAttribute.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICodeBlockEndedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICodeBlockStartedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICompilationEndedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICompilationStartedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICompilationUnitAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\IDiagnosticAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ISymbolAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ISyntaxNodeAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ISyntaxTreeAnalyzer.cs" />
     <Compile Include="DiagnosticAnalyzer\SuppressMessageAttributeState.cs" />
     <Compile Include="DiagnosticAnalyzer\SuppressMessageAttributeState.TargetSymbolResolver.cs" />
     <Compile Include="DiagnosticAnalyzer\SuppressMessageAttributeState.WarningStateMap.cs" />
@@ -571,9 +571,9 @@
     <Reference Include="Microsoft.CSharp" />
     <Reference Include="System" />
     <Reference Include="System.Collections" />
-    <Reference Include="System.Runtime" />
-    <Reference Include="System.Reflection.Primitives" />
     <Reference Include="System.IO" />
+    <Reference Include="System.Reflection.Primitives" />
+    <Reference Include="System.Runtime" />
     <Reference Include="System.Xml" />
     <Reference Include="System.Xml.Linq" />
   </ItemGroup>
diff --git a/Src/Compilers/VisualBasic/Test/Emit/BasicCompilerEmitTest.vbproj b/Src/Compilers/VisualBasic/Test/Emit/BasicCompilerEmitTest.vbproj
index 3c7ac6d..fc995dd 100644
--- a/Src/Compilers/VisualBasic/Test/Emit/BasicCompilerEmitTest.vbproj
+++ b/Src/Compilers/VisualBasic/Test/Emit/BasicCompilerEmitTest.vbproj
@@ -172,7 +172,6 @@
     <Compile Include="PDB\PDBCollectionInitializerTests.vb" />
     <Compile Include="PDB\PDBConstLocalTests.vb" />
     <Compile Include="PDB\PDBExternalSourceDirectiveTests.vb" />
-    <Compile Include="PDB\PDBVariableInitializerTests.vb" />
     <Compile Include="PDB\PDBIteratorTests.vb" />
     <Compile Include="PDB\PDBLoopStatementTests.vb" />
     <Compile Include="PDB\PDBNamespaceScopes.vb" />
@@ -180,6 +179,7 @@
     <Compile Include="PDB\PDBSyncLockTests.vb" />
     <Compile Include="PDB\PDBTests.vb" />
     <Compile Include="PDB\PDBUsingTests.vb" />
+    <Compile Include="PDB\PDBVariableInitializerTests.vb" />
     <Compile Include="PDB\PDBWinMdExpTests.vb" />
     <Compile Include="Perf.vb" />
     <Compile Include="Resource.Designer.vb">
diff --git a/Src/Test/Utilities/TestUtilities.csproj b/Src/Test/Utilities/TestUtilities.csproj
index de2d943..9bcdea6 100644
--- a/Src/Test/Utilities/TestUtilities.csproj
+++ b/Src/Test/Utilities/TestUtilities.csproj
@@ -86,9 +86,9 @@
     <Reference Include="ReachFramework" />
     <Reference Include="System" />
     <Reference Include="System.Core" />
-    <Reference Include="System.Runtime" />
-    <Reference Include="System.Reflection.Primitives" />
     <Reference Include="System.IO" />
+    <Reference Include="System.Reflection.Primitives" />
+    <Reference Include="System.Runtime" />
     <Reference Include="System.XML" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="WindowsBase" />
@@ -191,7 +191,6 @@
   <ItemGroup>
     <None Include="App.config" />
   </ItemGroup>
-  <ItemGroup />
   <ImportGroup Label="Targets">
     <Import Project="..\..\Tools\Microsoft.CodeAnalysis.Toolset.Open\Targets\VSL.Imports.targets" />
     <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
-- 
1.8.5.2 (Apple Git-48)

